Bug 383411 - firefox .desktop file has no translations
firefox .desktop file has no translations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: Patch, Translation
Depends On:
Blocks: 384711 435051
  Show dependency treegraph
 
Reported: 2007-11-14 15:57 EST by Ville-Pekka Vainio
Modified: 2008-04-10 00:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 22:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ubuntu firefox.desktop (2.45 KB, text/plain)
2007-11-15 09:22 EST, Matěj Cepl
no flags Details
Ubuntu thunderbird.desktop (1.11 KB, text/plain)
2008-02-26 08:42 EST, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 371734 None None None Never
Mozilla Foundation 404032 None None None Never

  None (edit)
Description Ville-Pekka Vainio 2007-11-14 15:57:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fi-FI; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
The Firefox menu entry is not translated. I'm running my desktop in Finnish and still the Firefox menu entry is "Firefox Web Browser", when in should be "Firefox-WWW-selain" or something similar.

The problem is that there are no translations in the file /usr/share/applications/mozilla-firefox.desktop . If you compare that to e.g. /usr/share/applications/redhat-evolution-mail.desktop, you'll see that it has lots of translations.

As Firefox is the default browser in Fedora, I hope this could be fixed.

Version-Release number of selected component (if applicable):
firefox-2.0.0.8-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open the Internet menu in either KDE or Gnome when running the desktop in Finnish or some other non-English language.

Actual Results:
The Firefox menu entry is not translated.

Expected Results:
The Firefox menu entry should be made translatable and after translators have translated it, it should show up in the language that the user is using.

Additional info:
Comment 2 Ville-Pekka Vainio 2007-11-15 10:24:55 EST
Thanks for taking a look at these bugs. At least the Finnish translation in
Ubuntu's desktop file looks good. 

On the other hand, should these translations be incorporated into Fedora's L10n
infrastructure somehow, so that the Fedora translators could edit them as they
see fit? I don't know all parts of the system, so I'm not sure how it should be
handled, but if possible, it would be nice.
Comment 3 Matěj Cepl 2008-02-21 17:35:39 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:36:49 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Ville-Pekka Vainio 2008-02-22 02:08:09 EST
Fx 3 in Rawhide is currently completely in English, even with a Finnish locale.
The menu entries are also still in English (while most other menu items are in
Finnish), so this situation hasn't changed since Fedora 8. The Thunderbird menu
entries are still in English as well.
Comment 6 Matěj Cepl 2008-02-22 04:20:49 EST
Yeah, FF3 is still in English. Sorry, testing with FF3 doesn't apply here.
Passing this bug to i18n team.
Comment 7 Jens Petersen 2008-02-25 21:56:54 EST
Can we use the translation from Ubuntu's desktop file say in Fedora
as a starting point?
Comment 8 Ville-Pekka Vainio 2008-02-26 07:19:31 EST
If there are no licensing issues (I'd think the desktop file should be licensed
similarly as Fx itself) then why not, at least for F9.

But in general the desktop file and its translations should be handled either
upstream or at least in the Fedora infrastructure, so our translators could
contribute as well.

Please note, Thunderbird is also missing translations from the .desktop file.
Comment 9 Matěj Cepl 2008-02-26 08:42:25 EST
Created attachment 295906 [details]
Ubuntu thunderbird.desktop

thunderbird.desktop cut out of
http://archive.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird_2.0.0.9+nobinonly-0ubuntu2.diff.gz

using
filterdiff -z thunderbird_2.0.0.9+nobinonly-0ubuntu2.diff.gz -i *.desktop
>thunderbird.desktop
(and then editing result)
Comment 10 Matěj Cepl 2008-02-26 08:46:30 EST
The upstream bugs are https://bugzilla.mozilla.org/show_bug.cgi?id=371734 (for
Thunderbird) and https://bugzilla.mozilla.org/show_bug.cgi?id=404032 (for Firefox)
Comment 11 Matěj Cepl 2008-02-26 08:47:43 EST
(however, it seems that {thunderbird,firefox}.desktop files are in Fedora
generated from .po files, so I am not sure who is responsible for fixing this.
Passing to Christopher to resolve.
Comment 12 Jens Petersen 2008-02-26 20:15:00 EST
cloned bug 435051 for thunderbird

We do have translations for redhat-web.desktop (in redhat-menus), but people
may prefer to use the firefox .desktop file.

(In reply to comment #11)
> (however, it seems that {thunderbird,firefox}.desktop files are in Fedora
> generated from .po files

Are they?  I see static {firefox,thunderbird}.desktop files in pkg cvs.

Perhaps they should be moved to redhat-menus?
Comment 13 Ville-Pekka Vainio 2008-03-29 13:32:27 EDT
Could someone fix this bug before the release of Fedora 9? Even temporarily by
using the Ubuntu desktop files?
Comment 14 Qing LIN 2008-03-31 05:35:05 EDT
Same problems found in 
Fedora 9 Alpha - zh_CN 
Fedora 9 Alpha - zh_TW
Fedora 9 Alpha - ko_KR
Fedora 9 Alpha - ja_JP
Comment 15 Christopher Aillon 2008-04-07 22:16:29 EDT
Fixed in firefox-3.0-0.53.beta5.fc9
Comment 16 Jens Petersen 2008-04-10 00:10:43 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.